Name:           ada
Version:        2.9.2
Release:        1%?dist
Summary:        WHATWG-compliant and fast URL parser written in modern C++

License:        MIT OR Apache-2.0
URL:            https://github.com/ada-url/ada
Source0:        %{URL}/archive/refs/tags/v%{VERSION}.tar.gz

BuildRequires:  g++
BuildRequires:  cmake

%description
A fast and spec-compliant URL parser written in C++


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}


%prep
%autosetup


%build
%cmake \
    -DBUILD_SHARED_LIBS=ON \
    -DADA_TESTING=OFF \
    -DADA_BENCHMARKS=OFF \
    -DADA_TOOLS=OFF
%cmake_build


%install
%cmake_install


%check


%files
%license LICENSE-APACHE LICENSE-MIT
%doc README.md SECURITY.md
%{_libdir}/libada.so
%{_libdir}/libada.so.*


%files devel
%{_includedir}/ada
%{_includedir}/ada.h
%{_includedir}/ada_c.h
%{_libdir}/cmake/ada


%changelog
%autochangelog

